<?php echo $header; ?>

<div id="content">
  <div class="breadcrumb">
    <?php foreach ($breadcrumbs as $breadcrumb) { ?>
    <?php echo $breadcrumb['separator']; ?><a href="<?php echo $breadcrumb['href']; ?>"><?php echo $breadcrumb['text']; ?></a>
    <?php } ?>
  </div>

  <div class="ocl-ui-content">
      
      <?php if (isset($error_license) && !empty($error_license)) { ?><div class="warning"><?php echo $error_license; ?></div><?php } ?>
      <?php if (isset($error) && !empty($error)) { ?><div class="warning"><?php echo $error; ?></div><?php } ?>
      <?php if (isset($warning) && !empty($warning)) { ?><div class="warning"><?php echo $warning; ?></div><?php } ?>
      <?php if (isset($success) && !empty($success)) { ?><div class="success"><?php echo $success; ?></div><?php } ?>
      
      <div class="ocl-ui-main-menu">
        <ul>
        	<?php foreach($main_menu as $key => $value){ ?>
        		<?php if($main_cfg[$key] == 1) { ?>
	                <li<?php if($driver == $key) echo ' class="selected"'; ?>><a href="<?php echo $main_url[$key];?>"><?php echo $value;?></a></li>
	            <?php }?>
        	<?php }?>
        </ul>
      </div>

		<div class="ocl-ui-header"><span class="ocl-ui-module-name"><?php echo $ocl_module_name; ?></span><a target="_blank" href="http://www.opencartlabs.ru/" class="ocl-ui-home-page">OpenCartLabs.ru</a></div>
      
      <div class="ocl-ui-body-content">
          <div id="tab-info">
          	<form action="<?php echo $main_url['Setting']; ?>" method="post" id="form_position" enctype="multipart/form-data" class="form-horizontal">
          		<div style="padding: 10px;margin-bottom: 20px;" class="ocl-ui-wrap">
          			<span><?php echo $entry_module_status; ?></span>
          			<select class="span60" name="module_status">
                        <?php if (isset($module_status) && $module_status == 1) { ?>
                            <option value="1" selected="selected"><?php echo $text_yes; ?></option>
                            <option value="0"><?php echo $text_no; ?></option>
                            <?php } else { ?>
                            <option value="1"><?php echo $text_yes; ?></option>
                            <option value="0" selected="selected"><?php echo $text_no; ?></option>
                        <?php } ?>
					</select>
					&nbsp;&nbsp;&nbsp; <span><?php echo $entry_cache_status; ?></span>
          			<select class="span60" name="mf_cache_status">
                        <?php if (isset($mf_cache_status) && $mf_cache_status == 1) { ?>
                            <option value="1" selected="selected"><?php echo $text_yes; ?></option>
                            <option value="0"><?php echo $text_no; ?></option>
                            <?php } else { ?>
                            <option value="1"><?php echo $text_yes; ?></option>
                            <option value="0" selected="selected"><?php echo $text_no; ?></option>
                        <?php } ?>
					</select>
          		</div>

          	<div class="portlet-table">
          		<div class="portlet-tr">
          			<div class="portlet-td two-column">
						<div class="portlet left-postion">
							<div class="portlet-header">
								<input type="hidden" value="0" name="position[1][status]" />
								<label><input type="checkbox"  name="position[1][status]" value="1" <?php if(isset($position[1]['status']) && $position[1]['status'] == 1) echo ' checked '; ?> /> <?php echo $text_show; ?></label>
								<span class="portlet-marker">position-1</span>
							</div>
							<div class="portlet-content">
								<span><?php echo $entry_widget; ?></span>
								<select name="position[1][widget]">
									<option<?php if(isset($position[1]['widget']) && $position[1]['widget'] == 'social') echo ' selected '; ?> value="social"> <?php echo $text_social; ?> </option>
									<option<?php if(isset($position[1]['widget']) && $position[1]['widget'] == 'payment') echo ' selected '; ?> value="payment"> <?php echo $text_payment; ?> </option>
									<option<?php if(isset($position[1]['widget']) && $position[1]['widget'] == 'links') echo ' selected '; ?> value="links"> <?php echo $text_links; ?> </option>
								</select>
							</div>
						</div>
          			</div>
          			<div class="portlet-td two-column">
          				<div class="portlet right-postion">
							<div class="portlet-header">
								<input type="hidden" value="0" name="position[2][status]" />
								<label><input type="checkbox"  name="position[2][status]" value="1" <?php if(isset($position[2]['status']) && $position[2]['status'] == 1) echo ' checked '; ?> /> <?php echo $text_show; ?></label>
								<span class="portlet-marker">position-2</span>
							</div>
							<div class="portlet-content">
								<span><?php echo $entry_widget; ?></span>
								<select name="position[2][widget]">
									<option<?php if(isset($position[2]['widget']) && $position[2]['widget'] == 'social') echo ' selected '; ?> value="social"> <?php echo $text_social; ?> </option>
									<option<?php if(isset($position[2]['widget']) && $position[2]['widget'] == 'payment') echo ' selected '; ?> value="payment"> <?php echo $text_payment; ?> </option>
									<option<?php if(isset($position[2]['widget']) && $position[2]['widget'] == 'links') echo ' selected '; ?> value="links"> <?php echo $text_links; ?> </option>
								</select>
							</div>
						</div>
          			</div>
          		</div>
          		<div class="portlet-tr">
          			<?php for($i = 3; $i <= 6; $i++) { ?>
          			<div class="portlet-td one-column">
          				<div class="portlet">
							<div class="portlet-header">
								<input type="hidden" value="0" name="position[<?php echo $i; ?>][status]" />
								<label><input type="checkbox"  name="position[<?php echo $i; ?>][status]" value="1" <?php if(isset($position[$i]['status']) && $position[$i]['status'] == 1) echo ' checked '; ?> /> <?php echo $text_show; ?></label>
								<span class="portlet-marker">position-<?php echo $i;?></span>
							</div>
							<div class="portlet-content">
								<span><?php echo $entry_widget; ?></span>
								<select name="position[<?php echo $i; ?>][widget]">
									<option<?php if(isset($position[$i]['widget']) && $position[$i]['widget'] == 'contacts') echo ' selected '; ?> value="contacts"> <?php echo $text_contacts; ?> </option>
									<option<?php if(isset($position[$i]['widget']) && $position[$i]['widget'] == 'information') echo ' selected '; ?> value="information"> <?php echo $text_information; ?> </option>
									<option<?php if(isset($position[$i]['widget']) && $position[$i]['widget'] == 'widget_1') echo ' selected '; ?> value="widget_1"> <?php echo $text_widget_1; ?> </option>
									<option<?php if(isset($position[$i]['widget']) && $position[$i]['widget'] == 'widget_2') echo ' selected '; ?> value="widget_2"> <?php echo $text_widget_2; ?> </option>
									<option<?php if(isset($position[$i]['widget']) && $position[$i]['widget'] == 'widget_3') echo ' selected '; ?> value="widget_3"> <?php echo $text_widget_3; ?> </option>
									<option<?php if(isset($position[$i]['widget']) && $position[$i]['widget'] == 'widget_4') echo ' selected '; ?> value="widget_4"> <?php echo $text_widget_4; ?> </option>
									<option<?php if(isset($position[$i]['widget']) && $position[$i]['widget'] == 'links') echo ' selected '; ?> value="links"> <?php echo $text_links; ?> </option>
									<option<?php if(isset($position[$i]['widget']) && $position[$i]['widget'] == 'social') echo ' selected '; ?> value="social"> <?php echo $text_social; ?> </option>
								</select>
								<!-- <span>Дополнительный <?php echo $entry_widget; ?></span>
								<select name="position[<?php echo $i; ?>][widget_add]">
									<option value="0"> <?php echo $text_not_show; ?> </option>
									<option<?php if(isset($position[$i]['widget_add']) && $position[$i]['widget_add'] == 'news') echo ' selected '; ?> value="news"> Подписаться на новости </option>
								</select>
								-->
								<div class="widget-size">
									<span><?php echo $entry_widget_size;?></span>
				          			<select class="span60" name="position[<?php echo $i; ?>][size]">
				                            <option value="220" <?php if(isset($position[$i]['size']) && $position[$i]['size'] == '220' ) echo ' selected'; ?>><?php echo $text_one_column;?></option>
				                            <option value="480" <?php if(isset($position[$i]['size']) && $position[$i]['size'] == '480' ) echo ' selected'; ?>><?php echo $text_two_column;?></option>
				                            <option value="300" <?php if(isset($position[$i]['size']) && $position[$i]['size'] == '300' ) echo ' selected'; ?>><?php echo $text_three_column;?></option>
				                            <option value="980" <?php if(isset($position[$i]['size']) && $position[$i]['size'] == '980' ) echo ' selected'; ?>><?php echo $text_four_column;?></option>
									</select>
								</div>
							</div>
						</div>
          			</div>
          			<?php } ?>
          		</div>
          		<div class="portlet-tr">
          			<div class="portlet-td two-column">
          				<div class="portlet left-postion">
							<div class="portlet-header">
								<input type="hidden" value="0" name="position[7][status]" />
								<label><input type="checkbox"  name="position[7][status]" value="1" <?php if(isset($position[7]['status']) && $position[7]['status'] == 1) echo ' checked '; ?> /> <?php echo $text_show; ?></label>
								<span class="portlet-marker">position-7</span>
							</div>
							<div class="portlet-content">
								<span><?php echo $entry_widget; ?></span>
								<select name="position[7][widget]">
									<option value="0"> <?php echo $text_not_show; ?> </option>
									<option<?php if(isset($position[7]['widget']) && $position[7]['widget'] == 'social') echo ' selected '; ?> value="social"> <?php echo $text_social; ?> </option>
									<option<?php if(isset($position[7]['widget']) && $position[7]['widget'] == 'payment') echo ' selected '; ?> value="payment"> <?php echo $text_payment; ?> </option>
									<option<?php if(isset($position[7]['widget']) && $position[7]['widget'] == 'links') echo ' selected '; ?> value="links"> <?php echo $text_links; ?> </option>
								</select>
								<span>Дополнительный <?php echo $entry_widget; ?></span>
								<select name="position[7][widget_add]">
									<option value="0"> <?php echo $text_not_show; ?> </option>
									<option<?php if(isset($position[7]['widget_add']) && $position[7]['widget_add'] == 'copy') echo ' selected '; ?> value="copy"> <?php echo $text_copyright; ?> </option>
								</select>
							</div>
						</div>
          			</div>
          			<div class="portlet-td two-column">
          				<div class="portlet right-postion">
							<div class="portlet-header">
								<input type="hidden" value="0" name="position[8][status]" />
								<label><input type="checkbox"  name="position[8][status]" value="1" <?php if(isset($position[8]['status']) && $position[8]['status'] == 1) echo ' checked '; ?> /> <?php echo $text_show; ?></label>
								<span class="portlet-marker">position-8</span>
							</div>
							<div class="portlet-content">
								<span><?php echo $entry_widget; ?></span>
								<select name="position[8][widget]">
									<option<?php if(isset($position[8]['widget']) && $position[8]['widget'] == 'social') echo ' selected '; ?> value="social"> <?php echo $text_social; ?> </option>
									<option<?php if(isset($position[8]['widget']) && $position[8]['widget'] == 'payment') echo ' selected '; ?> value="payment"> <?php echo $text_payment; ?> </option>
									<option<?php if(isset($position[8]['widget']) && $position[8]['widget'] == 'copy') echo ' selected '; ?> value="copy"> <?php echo $text_copyright; ?> </option>
								</select>
							</div>
						</div>
          			</div>
          		</div>
          	</div>
          	</form>
			<div class="ocl-ui-buttons left"><a onclick="$('#form_position').submit();" class="ocl-ui-button ocl-ui-button-orange"><?php echo $button_save;?></a></div>
          </div>
      </div>

  </div>
</div>

<script type="text/javascript">
$(function() {
	$( ".portlet:not(.inactive)" )
      .addClass( "ui-widget ui-widget-content ui-helper-clearfix ui-corner-all" )
      .find( ".portlet-header" )
      .addClass( "ui-widget-header ui-corner-all" );
 
    $( ".portlet-toggle" ).click(function() {
      var icon = $( this );
      icon.toggleClass( "ui-icon-minusthick ui-icon-plusthick" );
      icon.closest( ".portlet" ).find( ".portlet-content" ).toggle();
    });
  });

function setPortletActive(obj){
	if($(obj).prop("checked")) {
		$(obj).parent().parent().parent().removeClass('inactive');
	} else {
		$(obj).parent().parent().parent().addClass('inactive');
	}
}
$(document).ready(function() {
	$('.portlet-content select').each(function() {
		var o = $(this).find('option:selected');
		if(o.val() == 0) {
			$(this).addClass('inactive');
		}
	});
	$('.portlet-content select').change(function() {
	    var o = $(this).find('option:selected');
		if(o.val() == 0) {
			$(this).addClass('inactive');
		} else {
			$(this).removeClass('inactive');
		}
	});
	$('.portlet-header input[type=checkbox]').each(function() {
		setPortletActive($(this));
	});
	
	$(".portlet-header input[type=checkbox]").change(function() {
	    setPortletActive($(this));
	});
});

</script>
<script type="text/javascript">
$(document).ready(function() {
    // Tooltype functions
    function simple_tooltip(target_items, name){
        $(target_items).each(function(i){
            $("body").append("<div class='"+name+"' id='"+name+i+"'><p>"+$(this).attr('title')+"</p></div>");
            var my_tooltip = $("#"+name+i);

            $(this).removeAttr("title").mouseover(function(){
                my_tooltip.css({opacity:1, display:"none"}).fadeIn(200);
            }).mousemove(function(kmouse){
                my_tooltip.css({left:kmouse.pageX+15, top:kmouse.pageY+15});
            }).mouseout(function(){my_tooltip.fadeOut(200);});
        });
    }

    simple_tooltip(".helper","ocl-ui-tooltip");
});
</script>
<?php echo $footer; ?>