<?php echo $header; ?>

<div id="content">
  <div class="breadcrumb">
    <?php foreach ($breadcrumbs as $breadcrumb) { ?>
    <?php echo $breadcrumb['separator']; ?><a href="<?php echo $breadcrumb['href']; ?>"><?php echo $breadcrumb['text']; ?></a>
    <?php } ?>
  </div>

  <div class="ocl-ui-content">
      
      <?php if (isset($error_license) && !empty($error_license)) { ?><div class="warning"><?php echo $error_license; ?></div><?php } ?>
      <?php if (isset($error) && !empty($error)) { ?><div class="warning"><?php echo $error; ?></div><?php } ?>
      <?php if (isset($warning) && !empty($warning)) { ?><div class="warning"><?php echo $warning; ?></div><?php } ?>
      <?php if (isset($success) && !empty($success)) { ?><div class="success"><?php echo $success; ?></div><?php } ?>
      
      <div class="ocl-ui-main-menu">
        <ul>
        	<?php foreach($main_menu as $key => $value){ ?>
        		<?php if($main_cfg[$key] == 1) { ?>
	                <li<?php if($driver == $key) echo ' class="selected"'; ?>><a href="<?php echo $main_url[$key];?>"><?php echo $value;?></a></li>
	            <?php }?>
        	<?php }?>
        </ul>
      </div>

		<div class="ocl-ui-header"><span class="ocl-ui-module-name"><?php echo $ocl_module_name; ?></span><a target="_blank" href="http://www.opencartlabs.ru/" class="ocl-ui-home-page">OpenCartLabs.ru</a></div>
      
      <div class="ocl-ui-body-content">
          <div id="tab_backup" class="ocl-ui-tab-content">
              
			<div class="ocl-ui-wrap">
				<form action="<?php echo $action_backup;?>" method="post" id="form_backup" enctype="multipart/form-data" class="">
              	<input type="hidden" name="backup" value="1" />
				<table class="ocl-ui-form">
					<tbody>
						<tr><td>
							<?php echo $text_create_backup_file; ?>
							<div style="padding-top: 10px;"><label><input type="checkbox" value="1" name="backup_theme" /> <?php echo $entry_backup_theme;?></label></div>
							</td><td><a onclick="$('#form_backup').submit();" class="ocl-ui-button ocl-ui-button-orange"><?php echo $button_backup; ?></a></td></tr>
					</tbody>
				</table>
				</form>
			</div>
			<div class="ocl-ui-wrap">
				<form action="<?php echo $main_url['Backup'];?>" method="post" enctype="multipart/form-data" id="form_restore">
				<table class="ocl-ui-form">
					<tbody>
						<tr>
							<td><?php echo $text_restore_backup; ?></td>
							<td><input type="file" class="span300" name="import" /> <a onclick="$('#form_restore').submit();" class="ocl-ui-button ocl-ui-button-orange"><?php echo $button_restore; ?></a></td>
						</tr>
					</tbody>
				</table>
				</form>
			</div>
			
			<div class="ocl-ui-wrap">
				<form action="<?php echo $main_url['Backup'];?>" method="post" id="form_clear_cache" enctype="multipart/form-data" class="">
              		<input type="hidden" name="mf_clear" value="1" />
              	</form>
				<table class="ocl-ui-form">
					<tbody>
						<tr><td><?php echo $text_clear_cache; ?></td><td><a onclick="$('#form_clear_cache').submit();" class="ocl-ui-button ocl-ui-button-orange"><?php echo $button_backup; ?></a></td></tr>
					</tbody>
				</table>
			</div>
			
			
      </div>

  </div>
	<div id="ocl_copyright"><?php echo $ocl_copyright;?></div>
</div>

<script type="text/javascript">
$(document).ready(function() {
    // Tooltype functions
    function simple_tooltip(target_items, name){
        $(target_items).each(function(i){
            $("body").append("<div class='"+name+"' id='"+name+i+"'><p>"+$(this).attr('title')+"</p></div>");
            var my_tooltip = $("#"+name+i);

            $(this).removeAttr("title").mouseover(function(){
                my_tooltip.css({opacity:1, display:"none"}).fadeIn(200);
            }).mousemove(function(kmouse){
                my_tooltip.css({left:kmouse.pageX+15, top:kmouse.pageY+15});
            }).mouseout(function(){my_tooltip.fadeOut(200);});
        });
    }

    simple_tooltip(".helper","ocl-ui-tooltip");
});
</script>
<?php echo $footer; ?>