<?php echo $header; ?>

<div id="content">
  <div class="breadcrumb">
    <?php foreach ($breadcrumbs as $breadcrumb) { ?>
    <?php echo $breadcrumb['separator']; ?><a href="<?php echo $breadcrumb['href']; ?>"><?php echo $breadcrumb['text']; ?></a>
    <?php } ?>
  </div>

  <div class="ocl-ui-content">
      
      <?php if (isset($error_license) && !empty($error_license)) { ?><div class="warning"><?php echo $error_license; ?></div><?php } ?>
      <?php if (isset($error) && !empty($error)) { ?><div class="warning"><?php echo $error; ?></div><?php } ?>
      <?php if (isset($warning) && !empty($warning)) { ?><div class="warning"><?php echo $warning; ?></div><?php } ?>
      <?php if (isset($success) && !empty($success)) { ?><div class="success"><?php echo $success; ?></div><?php } ?>
      
      <div class="ocl-ui-main-menu">
        <ul>
        	<?php foreach($main_menu as $key => $value){ ?>
        		<?php if($main_cfg[$key] == 1) { ?>
	                <li<?php if($driver == $key) echo ' class="selected"'; ?>><a href="<?php echo $main_url[$key];?>"><?php echo $value;?></a></li>
	            <?php }?>
        	<?php }?>
        </ul>
      </div>

		<div class="ocl-ui-header"><span class="ocl-ui-module-name"><?php echo $ocl_module_name; ?></span><a target="_blank" href="http://www.opencartlabs.ru/" class="ocl-ui-home-page">OpenCartLabs.ru</a></div>
      
		<div id="submenu"class="ocl-ui-submenu">
			<ul>
				<li><a href="#tab_contacts" id="link_tab_contacts"><?php echo $tab_contacts; ?></a></li>
				<li><a href="#tab_information" id="link_tab_information"><?php echo $tab_information; ?></a></li>
				<?php for($i = 1; $i < 5; $i++) { ?>
				<li><a href="#tab_widget_<?php echo $i; ?>" id="link_tab_widget_<?php echo $i; ?>"><?php echo $tab_widget . '-' . $i; ?></a></li>
				<?php } ?>
				<li><a href="#tab_links" id="link_tab_links"><?php echo $tab_links; ?></a></li>
				<li><a href="#tab_social" id="link_tab_social"><?php echo $tab_social; ?></a></li>
				<li><a href="#tab_payment" id="link_tab_payment"><?php echo $tab_payment; ?></a></li>
				<li><a href="#tab_copy" id="link_tab_copy"><?php echo $tab_copy; ?></a></li>
			</ul>
		</div>
		<div class="ocl-ui-body-content">
			<!-- BEGIN Contacts Tab Content -->
			<div id="tab_contacts" class="ocl-ui-tab-content">
				 
				 <div id="contacts_languages" class="ocl-ui-htabs">
            		<?php foreach ($languages as $language) { ?>
            		<a href="#contacts_language<?php echo $language['language_id']; ?>"><img src="view/image/flags/<?php echo $language['image']; ?>" title="<?php echo $language['name']; ?>" /> <?php echo $language['name']; ?></a>
            		<?php } ?>
          		</div>
				 
          		<form action="<?php echo $main_url['Data']; ?>" method="post" id="form_widget_contacts" enctype="multipart/form-data" class="ocl-ui-form-horizontal">
          			<input type="hidden" name="widget" value="contacts" />
          			<?php foreach ($languages as $language) { ?>
          			<div id="contacts_language<?php echo $language['language_id']; ?>">
					<table class="ocl-ui-form">
                    <tbody>
                    	<tr>
                        	<td><?php echo $entry_caption;?></td>
                        	<td><input type="text" class="span200" name="contacts[<?php echo $language['language_id']; ?>][title]" value="<?php if( isset($contacts[$language['language_id']]['title'])) echo $contacts[$language['language_id']]['title'];?>" /></td>
                        </tr>
                        <tr>
                        	<td><?php echo $entry_address;?></td>
                        	<td>
                        		<input type="text" class="span160" name="contacts[<?php echo $language['language_id']; ?>][address1]" value="<?php if( isset($contacts[$language['language_id']]['address1'])) echo $contacts[$language['language_id']]['address1'];?>" /> 
                        		<input type="text" class="span160" name="contacts[<?php echo $language['language_id']; ?>][address2]" value="<?php if( isset($contacts[$language['language_id']]['address2'])) echo $contacts[$language['language_id']]['address2'];?>" />
                        		<input type="hidden" value="0" name="contacts[<?php echo $language['language_id']; ?>][address_status]" />
                        		<label><input type="checkbox" name="contacts[<?php echo $language['language_id']; ?>][address_status]" value="1" <?php if( isset($contacts[$language['language_id']]['address_status']) && $contacts[$language['language_id']]['address_status'] == 1) echo ' checked="checked" ';?> /> <?php echo $text_show;?></label>
                        	</td>
                        </tr>
                        <tr>
                        	<td><?php echo $entry_phone;?></td>
                        	<td>
                        		<input type="text" class="span160" name="contacts[<?php echo $language['language_id']; ?>][phone1]" value="<?php if( isset($contacts[$language['language_id']]['phone1'])) echo $contacts[$language['language_id']]['phone1'];?>" /> 
                        		<input type="text" class="span160" name="contacts[<?php echo $language['language_id']; ?>][phone2]" value="<?php if( isset($contacts[$language['language_id']]['phone2'])) echo $contacts[$language['language_id']]['phone2'];?>" />
                        		<input type="hidden" value="0" name="contacts[<?php echo $language['language_id']; ?>][phone_status]" />
                        		<label><input type="checkbox" name="contacts[<?php echo $language['language_id']; ?>][phone_status]" value="1" <?php if( isset($contacts[$language['language_id']]['phone_status']) && $contacts[$language['language_id']]['phone_status'] == 1) echo ' checked="checked" ';?> /> <?php echo $text_show;?></label>
                        	</td>
                        </tr>
                        <tr>
                        	<td><?php echo $entry_mobile;?></td>
                        	<td>
                        		<input type="text" class="span160" name="contacts[<?php echo $language['language_id']; ?>][mobile1]" value="<?php if( isset($contacts[$language['language_id']]['mobile1'])) echo $contacts[$language['language_id']]['mobile1'];?>" />
                        		<input type="text" class="span160" name="contacts[<?php echo $language['language_id']; ?>][mobile2]" value="<?php if( isset($contacts[$language['language_id']]['mobile2'])) echo $contacts[$language['language_id']]['mobile2'];?>" />
                        		<input type="hidden" value="0" name="contacts[<?php echo $language['language_id']; ?>][mobile_status]" />
                        		<label><input type="checkbox" name="contacts[<?php echo $language['language_id']; ?>][mobile_status]" value="1" <?php if( isset($contacts[$language['language_id']]['mobile_status']) && $contacts[$language['language_id']]['mobile_status'] == 1) echo ' checked="checked" ';?> /> <?php echo $text_show;?></label>
                        	</td>
                        </tr>
                        <tr>
                        	<td><?php echo $entry_fax;?></td>
                        	<td>
                        		<input type="text" class="span160" name="contacts[<?php echo $language['language_id']; ?>][fax1]" value="<?php if( isset($contacts[$language['language_id']]['fax1'])) echo $contacts[$language['language_id']]['fax1'];?>" /> 
                        		<input type="text" class="span160" name="contacts[<?php echo $language['language_id']; ?>][fax2]" value="<?php if( isset($contacts[$language['language_id']]['fax1'])) echo $contacts[$language['language_id']]['fax2'];?>" />
                        		<input type="hidden" value="0" name="contacts[<?php echo $language['language_id']; ?>][fax_status]" />
                        		<label><input type="checkbox" name="contacts[<?php echo $language['language_id']; ?>][fax_status]" value="1" <?php if( isset($contacts[$language['language_id']]['fax_status']) && $contacts[$language['language_id']]['fax_status'] == 1) echo ' checked="checked" ';?> /> <?php echo $text_show;?></label>
                        	</td>
                        </tr>
                        <tr>
                        	<td>Email:</td>
                        	<td>
                        		<input type="text" class="span160" name="contacts[<?php echo $language['language_id']; ?>][email1]" value="<?php if( isset($contacts[$language['language_id']]['email1'])) echo $contacts[$language['language_id']]['email1'];?>" /> 
                        		<input type="text" class="span160" name="contacts[<?php echo $language['language_id']; ?>][email2]" value="<?php if( isset($contacts[$language['language_id']]['email2'])) echo $contacts[$language['language_id']]['email2'];?>" />
                        		<input type="hidden" value="0" name="contacts[<?php echo $language['language_id']; ?>][email_status]" />
                        		<label><input type="checkbox" name="contacts[<?php echo $language['language_id']; ?>][email_status]" value="1" <?php if( isset($contacts[$language['language_id']]['email_status']) && $contacts[$language['language_id']]['email_status'] == 1) echo ' checked="checked" ';?> /> <?php echo $text_show;?></label>
                        	</td>
                        </tr>
                        <tr>
                        	<td>Skype:</td>
                        	<td>
                        		<input type="text" class="span160" name="contacts[<?php echo $language['language_id']; ?>][skype1]" value="<?php if( isset($contacts[$language['language_id']]['skype1'])) echo $contacts[$language['language_id']]['skype1'];?>" /> 
                        		<input type="text" class="span160" name="contacts[<?php echo $language['language_id']; ?>][skype2]" value="<?php if( isset($contacts[$language['language_id']]['skype2'])) echo $contacts[$language['language_id']]['skype2'];?>" />
                        		<input type="hidden" value="0" name="contacts[<?php echo $language['language_id']; ?>][skype_status]" />
                        		<label><input type="checkbox" name="contacts[<?php echo $language['language_id']; ?>][skype_status]" value="1" <?php if( isset($contacts[$language['language_id']]['skype_status']) && $contacts[$language['language_id']]['skype_status'] == 1) echo ' checked="checked" ';?> /> <?php echo $text_show;?></label>
                        	</td>
                        </tr>
                        <tr>
                        	<td>Icq:</td>
                        	<td>
                        		<input type="text" class="span160" name="contacts[<?php echo $language['language_id']; ?>][icq1]" value="<?php if( isset($contacts[$language['language_id']]['icq1'])) echo $contacts[$language['language_id']]['icq1'];?>" /> 
                        		<input type="text" class="span160" name="contacts[<?php echo $language['language_id']; ?>][icq2]" value="<?php if( isset($contacts[$language['language_id']]['icq2'])) echo $contacts[$language['language_id']]['icq2'];?>" />
                        		<input type="hidden" value="0" name="contacts[<?php echo $language['language_id']; ?>][icq_status]" />
                        		<label><input type="checkbox" name="contacts[<?php echo $language['language_id']; ?>][icq_status]" value="1" <?php if( isset($contacts[$language['language_id']]['icq_status']) && $contacts[$language['language_id']]['icq_status'] == 1) echo ' checked="checked" ';?> /> <?php echo $text_show;?></label>
                        	</td>
                        </tr>
                        <tr>
                        	<td><?php echo $entry_page_link; ?></td>
                        	<td>
                        		<input type="hidden" value="0" name="contacts[<?php echo $language['language_id']; ?>][page_link]" />
                        		<label><input type="checkbox" name="contacts[<?php echo $language['language_id']; ?>][page_link]" value="1" <?php if( isset($contacts[$language['language_id']]['page_link']) && $contacts[$language['language_id']]['page_link'] == 1) echo ' checked="checked" ';?> /> <?php echo $text_show;?></label>
                        	</td>
                        </tr>
                    </tbody>
                    </table>
                    </div>
                    <?php } ?>
				</form>
				<div class="ocl-ui-buttons left"><a onclick="$('#form_widget_contacts').submit();" class="ocl-ui-button ocl-ui-button-orange"><?php echo $button_save;?></a></div>
			</div>
			<!-- END Contacts Tab Content -->
			
			<!-- BEGIN Social Tab Content -->
			<div id="tab_social" class="tab_content">
				<form action="<?php echo $main_url['Data']; ?>" method="post" id="form_social" enctype="multipart/form-data" class="ocl-ui-form-horizontal">
				<input type="hidden" name="widget" value="social" />
          				
          		<div id="social_languages" class="ocl-ui-htabs">
          			<?php foreach ($languages as $language) { ?><a href="#social_language<?php echo $language['language_id']; ?>"><img src="view/image/flags/<?php echo $language['image']; ?>" title="<?php echo $language['name']; ?>" /> <?php echo $language['name']; ?></a><?php } ?>
          		</div>
				 
          			<?php foreach ($languages as $language) { ?>
          			<div class="" id="social_language<?php echo $language['language_id']; ?>">
						<table class="ocl-ui-form">
	                    	<tr><td><?php echo $entry_caption;?></td><td><input type="text" class="span200" name="social[<?php echo $language['language_id']; ?>][title]" value="<?php if(isset($social[$language['language_id']]['title'])) echo $social[$language['language_id']]['title'];?>" /></td></tr>
	                    </table>

					<table id="table-social<?php echo $language['language_id']; ?>" class="ocl-ui-table-list span500">
                    	<tbody class="ocl-ui-sortable">
                    		<?php if(isset($social[$language['language_id']]['data'])) { $row = 0; ?>
                    			<?php foreach($social[$language['language_id']]['data'] as $result) { ?>
                    				<tr id="social-row<?php echo $row; ?>">
                    				<td style="width: 20px;"><span class="ui-icon ui-icon-arrowthick-2-n-s"></span></td>
									<td align="left" style="width: 60px;"><input type="hidden" name="social[<?php echo $language['language_id']; ?>][data][<?php echo $row; ?>][fname]" value="<?php echo $result['fname']; ?>" /><img src="<?php echo $result['fname']; ?>"></td>
									<td align="left">
										<input type="hidden" name="social[<?php echo $language['language_id']; ?>][data][<?php echo $row; ?>][caption]" value="<?php echo $result['caption']; ?>" />
										<input type="hidden" name="social[<?php echo $language['language_id']; ?>][data][<?php echo $row; ?>][url]" value="<?php echo $result['url']; ?>" />
										<a target="_blank" href="<?php echo $result['url']; ?>"><?php echo $result['caption']; ?></a>
									</td>
									<td align="left"><div class="buttons"><a onclick="$('#social-row<?php echo $row++; ?>').remove();" class="ocl-ui-button ocl-ui-button-small"><?php echo $text_delete;?></a></div></td>
									</tr>
                    			<?php } ?>
                    		<?php } ?>
                    	</tbody>
                    </table>
					<?php if($social_img) { ?>
	                    <div class="ocl-ui-wrap span500">
	                    <table class="ocl-ui-form">
	                    <tbody>
	                    	<tr><td><?php echo $entry_net;?></td>
		                    <td><select id="filter_social_type<?php echo $language['language_id']; ?>" class="span200">
		                    	<?php foreach($social_img as $item) { ?>
		                    	<option data-fname="<?php echo $item['fname']; ?>" data-src="<?php echo $item['img']; ?>" value="<?php echo $item['title']; ?>"><?php echo $item['title']; ?></option>
		                    	<?php } ?>
		                    </select>
		                    </td></tr>
		                    <tr><td><?php echo $entry_name;?></td><td><input class="span200" id="filter_social_caption<?php echo $language['language_id']; ?>" type="text" value=""></td></tr>
		                    <tr><td><?php echo $entry_url;?></td><td><input class="span300" id="filter_social_url<?php echo $language['language_id']; ?>" type="text" value=""></td></tr>
		                    <tr><td>&nbsp;</td><td><a onclick="addSocial(<?php echo $language['language_id']; ?>);" class="ocl-ui-button"><?php echo $button_add;?></a></td></tr>
		                </tbody>
	                    </table>
	                    </div>
	                    
                    <?php } ?>
                    
                    </div>
                    <?php } ?>
				</form>
				<div class="ocl-ui-buttons left"><a onclick="$('#form_social').submit();" class="ocl-ui-button ocl-ui-button-orange"><?php echo $button_save;?></a></div>
			</div>
			<!-- END Social Tab Content -->
			
			<!-- BEGIN links Tab Content -->
			<div id="tab_links" class="tab_content">
				<form action="<?php echo $main_url['Data']; ?>" method="post" id="form_widget_links" enctype="multipart/form-data" class="ocl-ui-form-horizontal">
					<input type="hidden" name="widget" value="links" />
				<table class="ocl-ui-form">
	            	<tr>
                    	<td><?php echo $entry_caption;?></td>
                    	<td>
                    		<?php foreach ($languages as $language) { $language_id = $language['language_id']; ?>
                    			<p><img src="view/image/flags/<?php echo $language['image']; ?>" title="<?php echo $language['name']; ?>" />
                    			<input type="text" class="span200" name="links[<?php echo $language_id; ?>][title]" value="<?php if( isset($links[$language_id]['title'])) echo $links[$language_id]['title'];?>" />
                    			</p>
                    		<?php } ?>
                    	</td>
                    </tr>
	            </table>
				<div class="">
					<table class="ocl-ui-table-list">
                    <tbody class="ocl-ui-sortable">
					<?php if(!empty($links)) { ?>
						<?php foreach ($links['url'] as $result) { ?>
	                        <tr>
	                        	<td style="width: 20px;"><span class="ui-icon ui-icon-arrowthick-2-n-s"></span></td>
	                        	<td><?php echo $result['title']; ?></td>
	                        	<td><input type="hidden" value="<?php echo $result['text']; ?>" name="links[url][<?php echo $result['text']; ?>][text]" />
	                        		<input type="hidden" value="<?php echo $result['url']; ?>" name="links[url][<?php echo $result['text']; ?>][url]" />
	                        		<input type="hidden" value="0" name="links[url][<?php echo $result['text']; ?>][status]" />
	                        		<label><input name="links[url][<?php echo $result['text']; ?>][status]" type="checkbox" value="1" <?php if(isset($result['status']) && $result['status'] == 1 ) echo 'checked="checked"'; ?> /> <?php echo $text_show;?></label></td>
	                        </tr>
						<?php } ?>
					<?php } ?>
	          		</tbody>
          			</table>
          		</div>
          		</form>
          		<div class="ocl-ui-buttons left"><a onclick="$('#form_widget_links').submit();" class="ocl-ui-button ocl-ui-button-orange"><?php echo $button_save;?></a></div>
			</div>
			<!-- END links Tab Content -->
			
			<!-- BEGIN information Tab Content -->
			<div id="tab_information" class="tab_content">
				<?php if(!empty($information)) { ?>
					<form action="<?php echo $main_url['Data']; ?>" method="post" id="form_widget_information" enctype="multipart/form-data" class="ocl-ui-form-horizontal">
					<input type="hidden" name="widget" value="information" />
					<div class="">
					<table class="ocl-ui-form">
                    <tbody>
                    	<tr>
                        	<td><?php echo $entry_caption;?></td>
                        	<td>
                        		<?php foreach ($languages as $language) { $language_id = $language['language_id']; ?>
                        			<p><img src="view/image/flags/<?php echo $language['image']; ?>" title="<?php echo $language['name']; ?>" />
                        			<input type="text" class="span200" name="information[<?php echo $language_id; ?>][title]" value="<?php if( isset($information[$language_id]['title'])) echo $information[$language_id]['title'];?>" />
                        			</p>
                        		<?php } ?>
                        	</td>
                        </tr>
	          		<?php foreach ($information['data'] as $key => $value) { ?>
	          			<tr><td><?php echo $value['title']; ?></td><td><input type="hidden" value="0" name="information[data][<?php echo $value['id']; ?>]" /><label><input name="information[data][<?php echo $value['id']; ?>]" type="checkbox" value="1" <?php if(isset($value['status']) && $value['status'] == 1 ) echo 'checked="checked"'; ?> /> <?php echo $text_show;?></label></td></tr>
	          		<?php } ?>
          			</tbody>
          			</table>
          			</div>
          			</form>
          			<div class="ocl-ui-buttons left"><a onclick="$('#form_widget_information').submit();" class="ocl-ui-button ocl-ui-button-orange"><?php echo $button_save;?></a></div>
          		<?php } ?>
			</div>
			<!-- END information Tab Content -->

			<!-- BEGIN Custom Widget Tab Content -->
			<?php for($i = 1; $i < 5; $i++) { ?>
			<div id="tab_widget_<?php echo $i; ?>" class="tab_content">
          		<div id="widget<?php echo $i; ?>_languages" class="ocl-ui-htabs">
            		<?php foreach ($languages as $language) { ?>
            		<a href="#widget_<?php echo $i; ?>_language<?php echo $language['language_id']; ?>"><img src="view/image/flags/<?php echo $language['image']; ?>" title="<?php echo $language['name']; ?>" /> <?php echo $language['name']; ?></a>
            		<?php } ?>
          		</div>

          		<form action="<?php echo $main_url['Data']; ?>" method="post" id="form_widget_<?php echo $i; ?>" enctype="multipart/form-data" class="ocl-ui-form-horizontal">
          			<input type="hidden" name="widget" value="widget_<?php echo $i; ?>" />
          			<?php foreach ($languages as $language) { ?>
          			<div class="" id="widget_<?php echo $i; ?>_language<?php echo $language['language_id']; ?>">
          			<table class="ocl-ui-form">
                    <tbody>
                    	<tr>
                        	<td><?php echo $entry_caption;?></td>
                        	<td><input type="text" class="span200" name="widget_<?php echo $i; ?>[<?php echo $language['language_id']; ?>][title]" value="<?php if(isset($widgets[$i][$language['language_id']]['title']))echo $widgets[$i][$language['language_id']]['title']; ?>" /></td>
                        </tr>
                        <tr>
                        	<td><?php echo $entry_text;?></td>
                        	<td><textarea class="span300" name="widget_<?php echo $i; ?>[<?php echo $language['language_id']; ?>][text]" cols="52" rows="10"><?php if(isset($widgets[$i][$language['language_id']]['text']))echo $widgets[$i][$language['language_id']]['text']; ?></textarea></td>
                        </tr>
                    </tbody>
                    </table>
                    </div>
                	<?php } ?>
				</form>
				<div class="ocl-ui-buttons left"><a onclick="$('#form_widget_<?php echo $i; ?>').submit();" class="ocl-ui-button ocl-ui-button-orange"><?php echo $button_save;?></a></div>
			</div>
			<?php } ?>
			<!-- END Custom Widget Tab Content -->

			<!-- BEGIN Payment Tab Content -->
			<div id="tab_payment" class="tab_content">
				<form action="<?php echo $main_url['Data']; ?>" method="post" id="form_payment" enctype="multipart/form-data" class="ocl-ui-form-horizontal">
				<input type="hidden" name="widget" value="payment" />
          				
          			<div class="" id="">
						<table id="table-payment" class="ocl-ui-table-list span300">
	                    	<tbody class="ocl-ui-sortable">
	                    		<?php if(!empty($payment)) { $row = 0; ?>
	                    			<?php foreach($payment as $result) { ?>
	                    				<tr id="payment-row<?php echo $row; ?>">
	                    					<td style="width: 20px;"><span class="ui-icon ui-icon-arrowthick-2-n-s"></span></td>
	                    					<td align="left" style="width: 80px;"><input type="hidden" name="payment[<?php echo $row; ?>][fname]" value="<?php echo $result['fname']; ?>" /><img src="<?php echo $result['fname']; ?>"></td>
	                    					<td align="left"><div class="buttons"><a onclick="$('#payment-row<?php echo $row++; ?>').remove();" class="ocl-ui-button ocl-ui-button-small"><?php echo $text_delete;?></a></div></td>
	                    				</tr>
	                    			<?php } ?>
	                    		<?php } ?>
	                    	</tbody>
	                    </table>
						<?php if(!empty($payment_img)) { ?>
		                    <div class="ocl-ui-wrap span500">
		                    <table class="ocl-ui-form">
		                    	<tr><td><?php echo $entry_payment;?></td>
			                    <td><select id="filter_payment_type" class="span200">
			                    	<?php foreach($payment_img as $item) { ?>
			                    	<option data-fname="<?php echo $item['fname']; ?>" data-src="<?php echo $item['img']; ?>" value="<?php echo $item['title']; ?>"><?php echo $item['title']; ?></option>
			                    	<?php } ?>
			                    </select></td>
			                    </tr>
			                    <tr><td>&nbsp;</td><td><a onclick="addPayment();" class="ocl-ui-button"><?php echo $button_add;?></a></td></tr>
		                    </table>
		                    </div>
	                    <?php } ?>
                    </div>

				</form>
				<div class="ocl-ui-buttons left"><a onclick="$('#form_payment').submit();" class="ocl-ui-button ocl-ui-button-orange"><?php echo $button_save;?></a></div>
			</div>
			<!-- END Payment Tab Content -->
			<!-- BEGIN Custom Widget Tab Content -->
			<div id="tab_copy" class="tab_content">
          		<div id="copy_languages" class="ocl-ui-htabs">
            		<?php foreach ($languages as $language) { ?>
            		<a href="#copy_language<?php echo $language['language_id']; ?>"><img src="view/image/flags/<?php echo $language['image']; ?>" title="<?php echo $language['name']; ?>" /> <?php echo $language['name']; ?></a>
            		<?php } ?>
          		</div>

          		<form action="<?php echo $main_url['Data']; ?>" method="post" id="form_copy" enctype="multipart/form-data" class="ocl-ui-form-horizontal">
          			<input type="hidden" name="widget" value="copy" />
          			<?php foreach ($languages as $language) { ?>
          			<div class="" id="copy_language<?php echo $language['language_id']; ?>">
	          			<table class="ocl-ui-form">
	                    	<tr>
	                        	<td><?php echo $entry_text;?></td>
	                        	<td><textarea style="width: 90%" name="copy[<?php echo $language['language_id']; ?>][text]" cols="52" rows="10"><?php if(isset($copy[$language['language_id']]['text']))echo $copy[$language['language_id']]['text']; ?></textarea></td>
	                        </tr>
	                    </table>
                    </div>
                	<?php } ?>
				</form>
				<div class="ocl-ui-buttons left"><a onclick="$('#form_copy').submit();" class="ocl-ui-button ocl-ui-button-orange"><?php echo $button_save;?></a></div>
			</div>
			<!-- END Custom Widget Tab Content -->
			
		</div>


  </div>
</div>

<script type="text/javascript">
var fixHelper = function(e, ui) {
	ui.children().each(function() {
		$(this).width($(this).width());
	});
	return ui;
};

$(document).ready(function() {
	<?php if(isset($tab_selected)) { ?>
	$('#contacts_languages a').tabs();
	$('#social_languages a').tabs();
	$('#widget1_languages a').tabs();
	$('#widget2_languages a').tabs();
	$('#widget3_languages a').tabs();
	$('#widget4_languages a').tabs();
	$('#copy_languages a').tabs();

    $('#ocltheme-sidenav a').tabs();
    $('#ocltheme-sidenav a').removeClass('selected');
    $('.tab_content').hide();
    $("#link_<?php echo $tab_selected; ?>").addClass('selected');
    $("#<?php echo $tab_selected; ?>").show();
    <?php } ?>
    
    $(".ocl-ui-sortable").sortable({
    	helper: fixHelper,
    	cursor: 'move',
	    opacity: 0.6,
	    placeholder: 'ui-placeholder',
	    'start': function (event, ui) {
	        ui.placeholder.html("<td colspan='4'>&nbsp;</td>")
	    }
	}).disableSelection();
    
});

var field_row = 1000;

function addSocial(id) {
	var c = $('#filter_social_caption' + id),
		n = $('#filter_social_type' + id),
		s = $(n).find('option:selected'),
		u = $('#filter_social_url' + id),
		t = '#table-social' + id +  ' tbody';
		//alert(s.data('fname'));
	if(c.val() == '' || u.val() == '') {
		return false;
	}
	//var html  = '<tbody id="social-row' + field_row + '">';
    var html  =  '  <tr id="social-row' + field_row + '">';
    html += '    <td style="width: 20px;"><span class="ui-icon ui-icon-arrowthick-2-n-s"></span></td><td align="left" style="width: 60px;"><input type="hidden" name="social[' + id + '][data][' + field_row + '][fname]" value="' + s.data('src') + '" /><img src="' + s.data('src') + '"></td>';
    html += '    <td align="left"><input type="hidden" name="social[' + id + '][data][' + field_row + '][caption]" value="' + c.val() + '" /><input type="hidden" name="social[' + id + '][data][' + field_row + '][url]" value="' + u.val() + '" /><a target="_blank" href="' + u.val() + '">' + c.val() + '</a></td>';
    html += '    <td align="left"><div class="buttons"><a onclick="$(\'#social-row' + field_row + '\').remove();" class="ocl-ui-button ocl-ui-button-small"><?php echo $button_remove; ?></a><div></td>';
    html += '  </tr>';
    //html += '</tbody>';
   	var htmlString = $(t).html();
    $(t).html(htmlString + html);
    //$('#table-social' + id +  ' tfoot').before(html);

    field_row++;
    c.val('');
    u.val('');
    //if (field_row < 1) {
        //$('#table-custom-fields tfoot').html('');
    //}
    return false;
}

function addPayment() {
	var n = $('#filter_payment_type'),
		s = $(n).find('option:selected'),
		t = '#table-payment tbody';

	var html  =  '  <tr id="payment-row' + field_row + '">';
    html += '    <td style="width: 20px;"><span class="ui-icon ui-icon-arrowthick-2-n-s"></span></td><td align="left" style="width: 80px;"><input type="hidden" name="payment[' + field_row + '][fname]" value="' + s.data('src') + '" /><img src="' + s.data('src') + '"></td>';
    html += '    <td align="left"><div class="buttons"><a onclick="$(\'#payment-row' + field_row + '\').remove();" class="ocl-ui-button ocl-ui-button-small"><?php echo $button_remove; ?></a><div></td>';
    html += '  </tr>';

   	var htmlString = $(t).html();
    $(t).html(htmlString + html);

    field_row++;
    return false;
}
</script>
<script type="text/javascript">
$(document).ready(function() {
    // Tabs functions
    <?php if(isset($tab_selected)) { ?>
    $('#submenu a').tabs();
    $('#submenu a').removeClass('selected');
    $('.ocl-ui-tab-content').hide();
    $("#link_<?php echo $tab_selected; ?>").addClass('selected');
    $("#<?php echo $tab_selected; ?>").show();
    <?php } ?>
    
    // Tooltype functions
    function simple_tooltip(target_items, name){
        $(target_items).each(function(i){
            $("body").append("<div class='"+name+"' id='"+name+i+"'><p>"+$(this).attr('title')+"</p></div>");
            var my_tooltip = $("#"+name+i);

            $(this).removeAttr("title").mouseover(function(){
                my_tooltip.css({opacity:1, display:"none"}).fadeIn(200);
            }).mousemove(function(kmouse){
                my_tooltip.css({left:kmouse.pageX+15, top:kmouse.pageY+15});
            }).mouseout(function(){my_tooltip.fadeOut(200);});
        });
    }

    simple_tooltip(".helper","ocl-ui-tooltip");
});
</script>
<?php echo $footer; ?>