 <?php echo $header; ?>

<div id="content">
  <div class="breadcrumb">
    <?php foreach ($breadcrumbs as $breadcrumb) { ?>
    <?php echo $breadcrumb['separator']; ?><a href="<?php echo $breadcrumb['href']; ?>"><?php echo $breadcrumb['text']; ?></a>
    <?php } ?>
  </div>

  <div class="ocl-ui-content">
      
      <?php if (isset($error_license) && !empty($error_license)) { ?><div class="warning"><?php echo $error_license; ?></div><?php } ?>
      <?php if (isset($error) && !empty($error)) { ?><div class="warning"><?php echo $error; ?></div><?php } ?>
      <?php if (isset($warning) && !empty($warning)) { ?><div class="warning"><?php echo $warning; ?></div><?php } ?>
      <?php if (isset($success) && !empty($success)) { ?><div class="success"><?php echo $success; ?></div><?php } ?>
      
      <div class="ocl-ui-main-menu">
        <ul>
        	<?php foreach($main_menu as $key => $value){ ?>
        		<?php if($main_cfg[$key] == 1) { ?>
	                <li<?php if($driver == $key) echo ' class="selected"'; ?>><a href="<?php echo $main_url[$key];?>"><?php echo $value;?></a></li>
	            <?php }?>
        	<?php }?>
        </ul>
      </div>

		<div class="ocl-ui-header"><span class="ocl-ui-module-name"><?php echo $ocl_module_name; ?></span><a target="_blank" href="http://www.opencartlabs.ru/" class="ocl-ui-home-page">OpenCartLabs.ru</a></div>
      
      <div class="ocl-ui-body-content">
      	<form action="<?php echo $main_url['Theme']; ?>" method="post" id="form_theme" enctype="multipart/form-data">
		<table class="ocl-ui-form">
			<tr><td><?php echo $entry_main_width_static; ?></td>
        		<td><input type="hidden" name="theme[main_width_static]" value="0"><input name="theme[main_width_static]" type="checkbox" <?php if(isset($theme['main_width_static']) && $theme['main_width_static'] == 1) echo ' checked '; ?> value="1" /></td>
        	</tr>
			<tr><td><?php echo $entry_main_width; ?></td><td><input name="theme[main_width]" class="span60 text-right" type="text" value="<?php if(isset($theme['main_width'])) echo $theme['main_width']; else  echo '980'; ?>" /> px</td></tr>
			<tr><td><?php echo $entry_footer_bgcolor1; ?></td>
				<td><div class="ocl-ui-colorpicker">
					<div style="background-color: #FFFFFF"></div></div><input type="hidden" name="theme[footer_bgcolor1]" value="<?php if(isset($theme['footer_bgcolor1'])) echo $theme['footer_bgcolor1']; else  echo 'FFFFFF'; ?>"></td>
			</tr>
        	<tr><td><?php echo $entry_footer_bgcolor2; ?></td>
        		<td><div class="ocl-ui-colorpicker">
        			<div style="background-color: #F8F8F8"></div></div><input type="hidden" name="theme[footer_bgcolor2]" value="<?php if(isset($theme['footer_bgcolor2'])) echo $theme['footer_bgcolor2']; else  echo 'f8f8f8'; ?>"></td>
        	</tr>
        	<tr><td><?php echo $entry_border_show; ?></td>
        		<td><input type="hidden" name="theme[border_show]" value="0"><input name="theme[border_show]" type="checkbox" <?php if(isset($theme['border_show']) && $theme['border_show'] == 1) echo ' checked '; ?> value="1" /></td>
        	</tr>
        	<tr><td><?php echo $entry_border_width; ?></td>
        		<td><input type="hidden" name="theme[border_width]" value="0"><input name="theme[border_width]" type="checkbox" <?php if(isset($theme['border_width']) && $theme['border_width'] == 1) echo ' checked '; ?> value="1" /></td>
        	</tr>
        	<tr><td><?php echo $entry_border_color; ?></td>
        		<td><div class="ocl-ui-colorpicker"><div style="background-color: #DBDEE1"></div></div><input type="hidden" name="theme[border_color]" value="<?php if(isset($theme['border_color'])) echo $theme['border_color']; else  echo 'dbdee1'; ?>"></td>
        	</tr>
			<tr><td><?php echo $entry_caption_color1; ?></td>
				<td><div class="ocl-ui-colorpicker"><div style="background-color: #000000"></div></div><input type="hidden" name="theme[caption_color1]" value="<?php if(isset($theme['caption_color1'])) echo $theme['caption_color1']; else  echo '000000'; ?>"></td>
			</tr>
        	<tr><td><?php echo $entry_caption_color2; ?></td>
        		<td><div class="ocl-ui-colorpicker"><div style="background-color: #000000"></div></div><input type="hidden" name="theme[caption_color2]" value="<?php if(isset($theme['caption_color2'])) echo $theme['caption_color2']; else  echo '999999'; ?>"></td>
        	</tr>
			<tr><td><?php echo $entry_link_color1; ?></td>
				<td><input type="hidden" name="theme[link_underline1]" value="0"/><input type="hidden" name="theme[link_underline1h]" value="0"/>
					<div style="display: table">
						<div style="display: table-row;">
							<div class="ocl-ui-colorpicker"><div style="background-color: #000000" class="helper" title="<?php echo $help_default_link_color;?>"></div></div><input type="hidden" name="theme[link_color1]" value="<?php if(isset($theme['link_color1'])) echo $theme['link_color1']; else  echo '38b0e3'; ?>">
							<div style="display: table-cell;vertical-align: middle"><label><input name="theme[link_underline1]" type="checkbox" value="1" <?php if(isset($theme['link_underline1']) && $theme['link_underline1'] == 1) echo ' checked';?> /> <?php echo $text_underline?></label></div>
						</div>
						<div style="display: table-row;">
							<div class="ocl-ui-colorpicker"><div style="background-color: #000000" class="helper" title="<?php echo $help_hover_link_color;?>"></div></div><input type="hidden" name="theme[link_color1h]" value="<?php if(isset($theme['link_color1h'])) echo $theme['link_color1h']; else  echo '38b0e3'; ?>">
							<div style="display: table-cell;vertical-align: middle"><label><input name="theme[link_underline1h]" type="checkbox" value="1" <?php if(isset($theme['link_underline1h']) && $theme['link_underline1h'] == 1) echo ' checked';?> /> <?php echo $text_underline?></label></div>
						</div>
					</div>
				</td>
			</tr>
        	<tr><td><?php echo $entry_link_color2; ?></td>
        		<td><input type="hidden" name="theme[link_underline2]" value="0"/><input type="hidden" name="theme[link_underline2h]" value="0"/>
					<div style="display: table">
						<div style="display: table-row;">
							<div class="ocl-ui-colorpicker"><div style="background-color: #000000" class="helper" title="<?php echo $help_default_link_color;?>"></div></div><input type="hidden" name="theme[link_color2]" value="<?php if(isset($theme['link_color2'])) echo $theme['link_color2']; else  echo '38b0e3'; ?>">
							<div style="display: table-cell;vertical-align: middle"><label><input name="theme[link_underline2]" type="checkbox" value="1" <?php if(isset($theme['link_underline2']) && $theme['link_underline2'] == 1) echo ' checked';?> /> <?php echo $text_underline?></label></div>
						</div>
						<div style="display: table-row;">
							<div class="ocl-ui-colorpicker"><div style="background-color: #000000" class="helper" title="<?php echo $help_hover_link_color;?>"></div></div><input type="hidden" name="theme[link_color2h]" value="<?php if(isset($theme['link_color2h'])) echo $theme['link_color2h']; else  echo '38b0e3'; ?>">
							<div style="display: table-cell;vertical-align: middle"><label><input name="theme[link_underline2h]" type="checkbox" value="1" <?php if(isset($theme['link_underline2h']) && $theme['link_underline2h'] == 1) echo ' checked';?> /> <?php echo $text_underline?></label></div>
						</div>
					</div>
        		</td>
        	</tr>
			<tr><td><?php echo $entry_text_color1; ?></td>
				<td><div class="ocl-ui-colorpicker"><div style="background-color: #000000"></div></div><input type="hidden" name="theme[text_color1]" value="<?php if(isset($theme['text_color1'])) echo $theme['text_color1']; else  echo '000000'; ?>"></td>
			</tr>
        	<tr><td><?php echo $entry_text_color2; ?>й</td>
        		<td><div class="ocl-ui-colorpicker"><div style="background-color: #000000"></div></div><input type="hidden" name="theme[text_color2]" value="<?php if(isset($theme['text_color2'])) echo $theme['text_color2']; else  echo '999999'; ?>"></td>
        	</tr>
        	<tr><td><?php echo $entry_icon_color; ?></td>
        		<td>
        			<select name="theme[icon_color]" class="span100">
						<option<?php if(isset($theme['icon_color']) && $theme['icon_color'] == 'white') echo ' selected '; ?> value="white">White</option>
						<option<?php if(isset($theme['icon_color']) && $theme['icon_color'] == 'black') echo ' selected '; ?> value="black">Black</option>
					</select>
        		</td>
        	</tr>
			<tr><td><?php echo $entry_icon_bg_color; ?></td>
        		<td>
        			<div class="ocl-ui-colorpicker"><div style="background-color: #000000" class="helper" title="<?php echo $help_default_link_color;?>"></div></div><input type="hidden" name="theme[icon_bg_color]" value="<?php if(isset($theme['icon_bg_color'])) echo $theme['icon_bg_color']; else  echo '38b0e3'; ?>" />
        			<div class="ocl-ui-colorpicker"><div style="background-color: #000000" class="helper" title="<?php echo $help_hover_link_color;?>"></div></div><input type="hidden" name="theme[icon_bg_color_h]" value="<?php if(isset($theme['icon_bg_color_h'])) echo $theme['icon_bg_color_h']; else  echo '38b0e3'; ?>" />
        		</td>
        	</tr>
        	<tr><td><?php echo $entry_socila_icon_size; ?></td>
        		<td>
        			<select class="span120" name="theme[social_icon_size]">
                        <option value="0"<?php if (isset($theme['social_icon_size']) && $theme['social_icon_size'] == '0') {echo ' selected';} ?>> Default </option>
                        <option value="24"<?php if (isset($theme['social_icon_size']) && $theme['social_icon_size'] == '24') {echo ' selected';} ?>> 24 </option>
                        <option value="32"<?php if (isset($theme['social_icon_size']) && $theme['social_icon_size'] == '32') {echo ' selected';} ?>> 32 </option>
                        <option value="48"<?php if (isset($theme['social_icon_size']) && $theme['social_icon_size'] == '48') {echo ' selected';} ?>> 48 </option>
                        <option value="64"<?php if (isset($theme['social_icon_size']) && $theme['social_icon_size'] == '64') {echo ' selected';} ?>> 64</option>
					</select>
        		</td>
        	</tr>
        	<tr><td><?php echo $entry_payment_icon_size; ?></td>
        		<td>
        			<select class="span120" name="theme[payment_icon_size]">
                        <option value="0"<?php if (isset($theme['payment_icon_size']) && $theme['payment_icon_size'] == '0') {echo ' selected';} ?>> Default </option>
                        <option value="24"<?php if (isset($theme['payment_icon_size']) && $theme['payment_icon_size'] == '24') {echo ' selected';} ?>> 24 </option>
                        <option value="32"<?php if (isset($theme['payment_icon_size']) && $theme['payment_icon_size'] == '32') {echo ' selected';} ?>> 32 </option>
                        <option value="48"<?php if (isset($theme['payment_icon_size']) && $theme['payment_icon_size'] == '48') {echo ' selected';} ?>> 48 </option>
                        <option value="64"<?php if (isset($theme['payment_icon_size']) && $theme['payment_icon_size'] == '64') {echo ' selected';} ?>> 64</option>
					</select>
        		</td>
        	</tr>
        	
        </table>
		</form>
		<div class="ocl-ui-buttons left"><a onclick="$('#form_theme').submit();" class="ocl-ui-button ocl-ui-button-orange"><?php echo $button_save;?></a></div>
      </div>
	
  </div>
	<div id="ocl_copyright"><?php echo $ocl_copyright;?></div>
</div>

<script type="text/javascript">
var css_link = $("<link>", {
    rel: "stylesheet",
    type: "text/css",
    href: "view/template/magic_footer/css/colorpicker.css"
});
css_link.appendTo('head');
function bindColorPickers() {
	$('.ocl-ui-colorpicker').each(function() {
		var $el = $(this), elcolor = $el.next("input").val();
		$el.find('div').css('backgroundColor', '#' + elcolor);
		$el.ColorPicker({
			color: '#' + elcolor,
			onShow: function (colpkr) {
				$(colpkr).fadeIn(500);
				$(this).ColorPickerSetColor($el.next("input").val());
				return false;
			},
			onHide: function (colpkr) {
				$(colpkr).fadeOut(500);
				$el.next("input").val($(colpkr).data('colorpicker').fields.eq(0).val());
				return false;
			},
			onChange: function (hsb, hex, rgb) {
				$el.find('div').css('backgroundColor', '#' + hex);
			},
			onSubmit: function(hsb, hex, rgb, obj) {
				$(obj).ColorPickerHide();
			},
		});
	});
}
$(document).ready(bindColorPickers);
$(document).ready(function() {
    // Tooltype functions
    function simple_tooltip(target_items, name){
        $(target_items).each(function(i){
            $("body").append("<div class='"+name+"' id='"+name+i+"'><p>"+$(this).attr('title')+"</p></div>");
            var my_tooltip = $("#"+name+i);

            $(this).removeAttr("title").mouseover(function(){
                my_tooltip.css({opacity:1, display:"none"}).fadeIn(200);
            }).mousemove(function(kmouse){
                my_tooltip.css({left:kmouse.pageX+15, top:kmouse.pageY+15});
            }).mouseout(function(){my_tooltip.fadeOut(200);});
        });
    }

    simple_tooltip(".helper","ocl-ui-tooltip");
});
</script>
<script src="view/template/magic_footer/js/colorpicker.js"></script>
<script src="view/template/magic_footer/js/eye.js"></script>
<script src="view/template/magic_footer/js/utils.js"></script>
<script src="'view/template/magic_footer/js/layout.js?ver=1.0.3.js"></script>
<?php echo $footer; ?>